Bug 91305 - [patch] Fix the default build of java/eclipse
Summary: [patch] Fix the default build of java/eclipse
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-04 12:10 UTC by Panagiotis Astithas
Modified: 2006-01-19 16:50 UTC (History)
0 users

See Also:


Attachments
eclipse.patch (421 bytes, patch)
2006-01-04 12:10 UTC, Panagiotis Astithas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Panagiotis Astithas 2006-01-04 12:10:12 UTC

This patch makes sure that the mozilla library gets built correctly when
the user has not defined WITH_MOZILLA/WITHOUT_MOZILLA.

How-To-Repeat: 

Remove WITH_MOZILLA/WITHOUT_MOZILLA from /etc/make.conf.
Build java/eclipse.
Notice the missing libswt-mozilla-gtk-3139.so from plugins/org.eclipse.swt.gtk.freebsd.x86_3.1.1.jar.
Comment 1 Edwin Groothuis freebsd_committer 2006-01-04 12:12:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-eclipse

Over to maintainer
Comment 2 Greg Lewis freebsd_committer 2006-01-19 03:58:49 UTC
Responsible Changed
From-To: freebsd-eclipse->glewis

I'll take this. 

Panagiotis, this looks to me like it is worth a PORTREVISION bump. 
How important is the missing library?
Comment 3 Greg Lewis freebsd_committer 2006-01-19 16:50:18 UTC
State Changed
From-To: open->closed

Committed. Thanks!